import * as constants from './constants';
import { fromJS } from 'immutable';
import * as config from '../../../common/config.js';
import axios from '../../axios_auth.js';
// import axios from 'axios';

//Loading
export const changeLoading = () => {
    return (dispatch) => {
        dispatch({
            type: constants.CHANGE_LOCKTYPE_LOADING,
            data: true,
        });
    }
}

export const changeLead = (lead) => {
    return (dispatch) => {
        dispatch({
            type: constants.CHANGE_LEAD,
            data: lead,
        });
    }
}

//获取搜索内容
export const getSearchlist = (locksearchValue) => {
    return (dispatch) => {
        let lead = localStorage.getItem("locktype/change_lead");
        axios.get(config.LOCALAPI+config.PATHAPI +'contact_detail.json', {
            params: {
                locksearchValue:locksearchValue,
            },
        }).then((res) => {
            const data = res.data;
            if (data.code === 200) {
                // console.log(locksearchValue);
                console.log(lead);
                dispatch({
                    type: constants.CHANGE_LOCKTYPE_SEARCHLIST,
                    lead:lead,
                    data: data.data,
                    locksearchValue:locksearchValue,
                });
            } else {
                error("请求数据失败");
            }
        }).catch((e) => {
            error(e);
        })
    }
};